| OGRE 1.10.8 Object-Oriented Graphics Rendering Engine

Public Attributes | List of all members
Ogre::ScriptToken Struct Reference
Core » General

This struct represents a token, which is an ID'd lexeme from the parsing input stream. More...

`#include <OgreScriptLexer.h>`

## Public Attributes
String | file
String | lexeme
| This is the lexeme for this token. More...
uint32 | line
| This holds the line number of the input stream where the token was found. More...
uint32 | type
| This is the id associated with the lexeme, which comes from a lexeme-token id mapping. More...

## Detailed Description

This struct represents a token, which is an ID'd lexeme from the parsing input stream.

## Member Data Documentation

## ◆ lexeme

String Ogre::ScriptToken::lexeme

This is the lexeme for this token.

## ◆ file

String Ogre::ScriptToken::file

## ◆ type

uint32 Ogre::ScriptToken::type

This is the id associated with the lexeme, which comes from a lexeme-token id mapping.

## ◆ line

uint32 Ogre::ScriptToken::line

This holds the line number of the input stream where the token was found.

The documentation for this struct was generated from the following file:

- OgreScriptLexer.h